> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rebase.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Site Actuals

> Upload the actuals (energy production/energy consumption) for a site.

This is used for training the ML models and evaluating the forecast accuracy.



## OpenAPI

````yaml post /platform/v2/sites/{site_id}/actual
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /platform/v2/sites/{site_id}/actual:
    post:
      tags:
        - Site
      summary: Upload Site Actuals
      description: >-
        Upload the actuals (energy production/energy consumption) for a site.


        This is used for training the ML models and evaluating the forecast
        accuracy.
      operationId: upload_site_actuals_platform_v2_sites__site_id__actual_post
      parameters:
        - name: site_id
          in: path
          required: true
          schema:
            type: string
            title: Site Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActualUpload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Upload Site Actuals Platform V2 Sites  Site Id 
                  Actual Post
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ActualUpload:
      properties:
        type:
          type: string
          title: Type
          default: power
          example: power
        data:
          items:
            $ref: '#/components/schemas/ActualUploadRow'
          type: array
          title: Data
          example:
            - valid_time: '2026-01-01T00:00:00Z'
              value: 6000
      type: object
      required:
        - data
      title: ActualUpload
    ValidationResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ValidationResponse
    ActualUploadRow:
      properties:
        valid_time:
          type: string
          format: date-time
          title: Valid Time
          example: '2026-01-01T00:00:00Z'
        value:
          anyOf:
            - type: number
            - type: 'null'
          title: Value
          example: 6000
      type: object
      required:
        - valid_time
        - value
      title: ActualUploadRow
    ErrorItem:
      properties:
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: ErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: >-
        Your API key. This is required to access our API programatically. You
        can view your API key in the Rebase dashboard.
      in: header
      name: Authorization

````